OpenVDB: ComputeAuxiliaryData< InputTreeType > Struct Template Reference

OpenVDB 6.1.0

Public Types | Public Member Functions | List of all members
ComputeAuxiliaryData< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | InputLeafNodeType = typename InputTreeType::LeafNodeType
using | InputValueType = typename InputLeafNodeType::ValueType
using | BoolLeafNodeType = tree::LeafNode< bool, InputLeafNodeType::LOG2DIM >
using | Int16TreeType = typename InputTreeType::template ValueConverter< Int16 >::Type
using | Index32TreeType = typename InputTreeType::template ValueConverter< Index32 >::Type

## Public Member Functions
| ComputeAuxiliaryData (const InputTreeType &inputTree, const std::vector< const BoolLeafNodeType * > &intersectionLeafNodes, Int16TreeType &signFlagsTree, Index32TreeType &pointIndexTree, InputValueType iso)
| ComputeAuxiliaryData (ComputeAuxiliaryData &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const ComputeAuxiliaryData &rhs)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = tree::LeafNode<bool, InputLeafNodeType::LOG2DIM>

## ◆ Index32TreeType

using Index32TreeType = typename InputTreeType::template ValueConverter<Index32>::Type

## ◆ InputLeafNodeType

using InputLeafNodeType = typename InputTreeType::LeafNodeType

## ◆ InputValueType

using InputValueType = typename InputLeafNodeType::ValueType

## ◆ Int16TreeType

using Int16TreeType = typename InputTreeType::template ValueConverter<Int16>::Type

## Constructor & Destructor Documentation

## ◆ ComputeAuxiliaryData() [1/2]

ComputeAuxiliaryData | ( | const InputTreeType & | inputTree,
|  | const std::vector< const BoolLeafNodeType * > & | intersectionLeafNodes,
|  | Int16TreeType & | signFlagsTree,
|  | Index32TreeType & | pointIndexTree,
|  | InputValueType | iso
| ) |  |

## ◆ ComputeAuxiliaryData() [2/2]

ComputeAuxiliaryData | ( | ComputeAuxiliaryData< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

## ◆ join()

void join | ( | const ComputeAuxiliaryData< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h